Nerdier

Adjective: Comparative form of nerdy: more nerdy.

cPanel

Installing the puppet agent from rubygems.

The method I used to install the puppet agent on a server via ruby gems, as the client server requires a newer version of ruby than what puppet uses with packages. Your mileage might vary if followed as puppetlabs documentation says “not recommended”!

Installing PHP intl on cPanel/CentOS

I’ve had to install this a bunch of times this week for people, so I figured I would document it here. If you want to install the latest version of libicu, you need to ensure that PHP is not compiled with intl support in cPanel’s easyapache, else it won’t pick up the later version.

PHP Handler in cPanel

This is how you add a PHP handler in cPanel, it should work for any version, but I’m using 5.2 as an example as that’s what I used.

Previous Posts